------------------------------------------------------------------------------------
--Name：210527[简体征服][活动脚本]弓手觉醒预热活动
--Creator:      何若晖
--Created:     2021-05-27
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>191
--/reloadlua Script/ArcherAwakeningWarmUp2.lua

-- 设置视角
CppScriptMgr:SetViewPosByCell(182,184)
CppScriptMgr:SetLightScreen(4000)
CppScriptMgr:WaitMilSec(2000)
local hero = CppScriptMgr:QueryHero()
hero:SetDir(0)
hero:SetPos(181,176)
hero:SetAction(230)
CppScriptMgr:WaitMilSec(1000)
hero:Say("This is it?",4000)

CppScriptMgr:WaitMilSec(2000)

local effect1 = CppScriptMgr:AddEffect("moveback",178,179)
local GirNpc = CppScriptMgr:AddSimplePlayer(1061755,178,179,"Array Guarder")
GirNpc:SetAction(200)
CppScriptMgr:WaitMilSec(2000)

GirNpc:Say("You`ve passed the trial. Now I`ll activate the Array of Gems for you.",5000)

CppScriptMgr:WaitMilSec(2000)
-- hero:SetAction(006)
hero:Say("Thanks.",3000)

CppScriptMgr:WaitMilSec(2000)
